<p align="center">
	<a href="http://apiato.io">
		<img alt="Welcome to Apiato"
			 src="https://readme-typing-svg.herokuapp.com/?lines=Welcome+to+Apiato&center=true&width=550&height=70">
	</a>
</p>

<p align="center">
   <img src="https://github.com/apiato/documentation/blob/master/images/apiato.jpg" alt="Apiato Logo"/>
</p>

<h3 align="center">Build scalable API's faster | With PHP 7.4 and Laravel 8.0</h3>

<p align="center">
<a href="https://travis-ci.org/apiato/apiato"><img src="https://travis-ci.org/apiato/apiato.svg" alt="Build Status"></a>
<a href="https://packagist.org/packages/apiato/apiato"><img src="https://img.shields.io/packagist/dt/apiato/apiato" alt="Total Downloads"></a>
<a href="https://packagist.org/packages/apiato/apiato"><img src="https://img.shields.io/packagist/v/apiato/apiato" alt="Latest Stable Version"></a>
<a href="https://github.com/apiato/apiato"><img src="https://img.shields.io/github/license/apiato/apiato" alt="License"></a>
</p>

<a name="Introduction"></a>

**Apiato** is a framework for building scalable and testable API-Centric Applications with PHP, build on top of Laravel.

It is designed to help you build scalable API's faster, by providing tools and functionalities that facilitates the development of any API-Centric App.

Apiato uses the best frameworks, tools and conventions in a very creative way, to deliver a rich set of features for a modern PHP Application.

**Why!?** Because setting up a solid API from scratch is time consuming (and of course, time is money!).
Apiato gives you the core features of robust API's fully documented, for free; so you can focus on writing your business logic, thus deliver faster to your clients.

<details>
    <summary>Why API-Centric Apps?</summary>

    Today we’re living in a digital era, where almost everything is connected to the Internet.
    
    Building cross-devices applications is becoming a must. And to do it, you need APIs (Application Programing Interfaces).
    
    Web developers are used to serve HTML pages directly from the Backend. However, this traditional method has many disadvantages nowadays.
    
    API's can serve anything and everything (Mobile Apps, Web Apps, Smart TVs, Smart Watches,...).
    As well as, it can be exposed to the world allowing developers to interact with your Application and help growing your business.
    
    API-Centric Apps allows Frontend (Web + Mobile) and Backend developers to work on their codes in parallel. 
    After the Frontend Apps are ready they get attached to the Backend (API-Centric) code to start functioning. 
    This leads to zero decoupling between the Frontend and the Backend code and also removes the dependencies. 
    The API documentation acts as the contract between both sides during the development life cycle of all the Apps.

</details>

<a name="Features"></a>
## Features

> Apiato comes with an amazing list of features.

[See Feature List Here](http://apiato.io/)

<a name="Documentation"></a>
## Documentation

**Apiato** is built using the new architectural pattern **[Porto](https://github.com/Mahmoudz/Porto)**.
> **Porto SAP** is a modern Software Architectural Pattern, designed to help developers organize their Code in a super maintainable way. It is very helpful for big and long term projects, as they tend to have higher complexity with time.

It's completely **optional** to build your application using the Porto architecture.
Alternatively, you can build it using the [MVC](http://apiato.io/docs/getting-started/software-architectural-patterns#mvc-introduction) architecture, and still benefit from all the features of Apiato.

<br>

<p align="center">
	<a href="http://apiato.io/docs/">
	   <img src="https://github.com/apiato/documentation/blob/master/images/documentation-button.png" width=350px" alt="Apiato Docs"/>
	</a>
</p>

---

<p align="center">Join our Discord server, by clicking on the icon below.</p>


<p align="center">
	<a href="https://discord.gg/ryPcV4KM5k">
        <img src="https://github.com/apiato/documentation/blob/master/images/discord-apiato-icon.png" width=100px" alt="Apiato Discord"/>
	</a>
</p>

<a name="Contributors"></a>

## Contributing

Feel free to dive in! Fix open [Issues](https://github.com/apiato/apiato/issues/) and submit new [features](https://github.com/apiato/apiato/pulls?q=is%3Apr+is%3Aopen+sort%3Aupdated-desc).
<br>
Make sure you check our [contribution guide](http://apiato.io/docs/general/contribution-guide/) before getting started.
<br>
Apiato follows the [Contributor Covenant](https://www.contributor-covenant.org/version/1/4/code-of-conduct) Code of Conduct.

## Awesome People

Apiato is an MIT-licensed open source project with its ongoing development made possible entirely by the support of all these smart and generous people, from code contributors to financial contributors. 💜

### Project Maintainers

<table>
  <tbody>
     <tr>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/mahmoudz.png?s=150">
            <br>
            <strong>Mahmoud Zalt</strong>
            <br>
            <a href="https://github.com/Mahmoudz">@mahmoudz</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/johannesschobel.png?s=150">
            <br>
            <strong> Johannes Schobel </strong>
            <br>
            <a href="https://github.com/johannesschobel">@johannesschobel</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/llstarscreamll.png?s=150">
            <br>
            <strong>Johan Alvarez</strong>
            <br>
            <a href="https://github.com/llstarscreamll">@llstarscreamll</a>
        </td>
               <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/zmaren.png?s=150">
            <br>
            <strong>Zeljko Marenovic</strong>
            <br>
            <a href="https://github.com/zmaren">@zmaren</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/rdehnhardt.png?s=150">
            <br>
            <strong>Renato Dehnhardt</strong>
            <br>
            <a href="https://github.com/rdehnhardt">@rdehnhardt</a>
        </td>
     </tr>
     <tr>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/JulianBustamante.png?s=150">
            <br>
            <strong>Julián Bustamante</strong>
            <br>
            <a href="https://github.com/JulianBustamante">@JulianBustamante</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/fwidm.png?s=150">
            <br>
            <strong>FWidm</strong>
            <br>
            <a href="https://github.com/FWidm">@FWidm</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/lloricode.png?s=150">
            <br>
            <strong>Lloric Mayuga Garcia</strong>
            <br>
            <a href="https://github.com/lloricode">@lloricode</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/jlorente.png?s=150">
            <br>
            <strong>Pepe</strong>
            <br>
            <a href="https://github.com/jlorente">@jlorente</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/deviouspk.png?s=150">
            <br>
            <strong>Arthur Vandenberghe</strong>
            <br>
            <a href="https://github.com/deviouspk">@deviouspk</a>
        </td>
     </tr>
	  <tr>    
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/hz61p1.png?s=150">
            <br>
            <strong>Null HZ61 P1</strong>
            <br>
            <a href="https://github.com/hz61p1">@hz61p1</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/Kyslik.png?s=150">
            <br>
            <strong>Martin Kiesel</strong>
            <br>
            <a href="https://github.com/Kyslik">@Kyslik</a>
        </td>
         <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/shalawani.png?s=150">
            <br>
            <strong>Samer Halawani</strong>
            <br>
            <a href="https://github.com/shalawani">@shalawani</a>
        </td>
         <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/mohammad-alavi.png?s=150">
            <br>
            <strong>Mohammad Alavi</strong>
            <br>
            <a href="https://github.com/mohammad-alavi">@Mohammad-Alavi</a>
        </td>
          <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/moslem-deris.png?s=150">
            <br>
            <strong>Moslem Deris</strong>
            <br>
            <a href="https://github.com/moslem-deris">@moslem-deris</a>
          </td>
        </tr>
  </tbody>
</table>


### Code Contributors

[![Apiato Contributors][contributors-src]][contributors-href]

### Financial Contributors

[![Open Collective backers][backers-src]][backers-href]

You can support us using any of the methods below:

<b>1:</b> [Open Collective](https://opencollective.com/apiato/contribute)
<br>
<b>2:</b> [Paypal](https://paypal.me/mzmmzz)
<br>
<b>3:</b> [Github Sponsors](https://github.com/sponsors/Mahmoudz)
<br>
<b>4:</b> [Patreon](https://www.patreon.com/zalt)

---


## Sponsors

Sponsoring is an act of giving in a different fashion. 🌱

### Gold Sponsors

<p align="center">

<a href="https://opencollective.com/apiato/tiers/gold-sponsors/0/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/gold-sponsors/0/avatar.svg?button=false&isActive=true" height="75px"></a>
<a href="https://opencollective.com/apiato/tiers/gold-sponsors/1/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/gold-sponsors/1/avatar.svg?button=false&isActive=true" height="75px"></a>
<a href="https://opencollective.com/apiato/tiers/gold-sponsors/2/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/gold-sponsors/2/avatar.svg?button=false&isActive=true" height="75px"></a>
<a href="https://opencollective.com/apiato/tiers/gold-sponsors/3/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/gold-sponsors/3/avatar.svg?button=false&isActive=true" height="75px"></a>
<a href="https://opencollective.com/apiato/tiers/gold-sponsors/4/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/gold-sponsors/4/avatar.svg?button=false&isActive=true" height="75px"></a>

</p>

### Silver Sponsors

<p align="center">

<a href="https://opencollective.com/apiato/tiers/silver-sponsors/0/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/silver-sponsors/0/avatar.svg?button=false&isActive=true" height="65px"></a>
<a href="https://opencollective.com/apiato/tiers/silver-sponsors/1/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/silver-sponsors/1/avatar.svg?button=false&isActive=true" height="65px"></a>
<a href="https://opencollective.com/apiato/tiers/silver-sponsors/2/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/silver-sponsors/2/avatar.svg?button=false&isActive=true" height="65px"></a>
<a href="https://opencollective.com/apiato/tiers/silver-sponsors/3/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/silver-sponsors/3/avatar.svg?button=false&isActive=true" height="65px"></a>
<a href="https://opencollective.com/apiato/tiers/silver-sponsors/4/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/silver-sponsors/4/avatar.svg?button=false&isActive=true" height="65px"></a>
<a href="https://opencollective.com/apiato/tiers/silver-sponsors/5/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/silver-sponsors/5/avatar.svg?button=false&isActive=true" height="65px"></a>
<a href="https://opencollective.com/apiato/tiers/silver-sponsors/6/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/silver-sponsors/6/avatar.svg?button=false&isActive=true" height="65px"></a>

</p>

### Bronze Sponsors

<p align="center">

<a href="https://opencollective.com/apiato/tiers/bronze-sponsors/0/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/bronze-sponsors/0/avatar.svg?button=false&isActive=true" height="55px"></a>
<a href="https://opencollective.com/apiato/tiers/bronze-sponsors/1/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/bronze-sponsors/1/avatar.svg?button=false&isActive=true" height="55px"></a>
<a href="https://opencollective.com/apiato/tiers/bronze-sponsors/2/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/bronze-sponsors/2/avatar.svg?button=false&isActive=true" height="55px"></a>
<a href="https://opencollective.com/apiato/tiers/bronze-sponsors/3/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/bronze-sponsors/3/avatar.svg?button=false&isActive=true" height="55px"></a>
<a href="https://opencollective.com/apiato/tiers/bronze-sponsors/4/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/bronze-sponsors/4/avatar.svg?button=false&isActive=true" height="55px"></a>
<a href="https://opencollective.com/apiato/tiers/bronze-sponsors/5/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/bronze-sponsors/5/avatar.svg?button=false&isActive=true" height="55px"></a>
<a href="https://opencollective.com/apiato/tiers/bronze-sponsors/6/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/bronze-sponsors/6/avatar.svg?button=false&isActive=true" height="55px"></a>
<a href="https://opencollective.com/apiato/tiers/bronze-sponsors/7/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/bronze-sponsors/7/avatar.svg?button=false&isActive=true" height="55px"></a>
<a href="https://opencollective.com/apiato/tiers/bronze-sponsors/8/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/bronze-sponsors/8/avatar.svg?button=false&isActive=true" height="55px"></a>
<a href="https://opencollective.com/apiato/tiers/bronze-sponsors/9/website" target="_blank"><img src="https://opencollective.com/apiato/tiers/bronze-sponsors/9/avatar.svg?button=false&isActive=true" height="55px"></a>

</p>

You can sponsor us using any of the methods below:

<b>1:</b> Sponsor via [Open Collective](https://opencollective.com/apiato/contribute/).
<br>
<b>2:</b> Email us at <a href = "mailto: support@apiato.io">support@apiato.io</a>.

*Sponsors logos are displayed on the [github repository](https://github.com/apiato/apiato/) page and the [documentation website](http://apiato.io/docs/) home page.*


<a name="License"></a>
## License

[MIT](https://github.com/apiato/apiato/blob/master/LICENSE) © Mahmoud Zalt


[comment]: # (Open Collective Tiers)

[contributors-src]: https://contrib.rocks/image?repo=apiato/apiato
[contributors-href]: https://github.com/apiato/apiato/graphs/contributors
[backers-src]: https://opencollective.com/apiato/tiers/awesome-backers.svg?width=890&button=false&isActive=true
[backers-href]: https://opencollective.com/apiato#contributors

[gold-sponsors-src]: https://opencollective.com/apiato/tiers/gold-sponsors.svg?avatarHeight=80&width=890&button=false&isActive=true
[gold-sponsors-href]: https://opencollective.com/apiato#contributors
[silver-sponsors-src]: https://opencollective.com/apiato/tiers/silver-sponsors.svg?avatarHeight=64&width=890&button=false&isActive=true
[silver-sponsors-href]: https://opencollective.com/apiato#contributors
[bronze-sponsors-src]: https://opencollective.com/apiato/tiers/bronze-sponsors.svg?avatarHeight=48&width=890&button=false&isActive=true
[bronze-sponsors-href]: https://opencollective.com/apiato#contributors
